
.ui-autocomplete { position: absolute; cursor: default;z-index:900 !important;}  
/* between 800 and 900 */


/* https://jsfiddle.net/sgymotns/7/ */

body, html          { height: 100% !important; margin: 0; }

.wrapper            { height: 100%; }

.kit-table          { display: table; width: 100%; }
.kit-row            { display: table-row; }
.kit-cell           { display: table-cell; }
.youtube			{ height: 100% }


/* YT */
.flex-container-row {
	display: flex;
	flex-direction: column;
	background-color: #c2f1a9;
}

.flex-container-row > div {
	background-color: #f1f1f1;
	margin: 10px;
	padding: 20px;
}

/* top settings */
div.settings {
   position: absolute;
   left: 20%;
   top: 10px;
   font-size: 7pt;
   z-index: 2;
}

a.settings, button.settings {
   background-color: #92c149;
   color: white;
   font-size: 18pt;
   text-align: center;
   padding: 10px 30px;
   border-radius: 3px;
}
/* end top settings */

/* touch boxes */
div.touch_box {
	background-color: #f1f1f1;
	margin: 10px;
	padding: 20px;
	font-size: 30px;
	width:50%;
	border: 1px solid black;
	font-size: 5em;
}

/* unused
div.touch_box_center {
	background-color: #f1f1f1;
	margin: 10px;
	padding: 20px;
	width:10%;
	border: 1px solid black;
}*/


@media screen and (min-height: 1024px) {
	.player {width:100%;height:450px;}
	div.touch_box, div.touch_box_center { height: 428px; }
}


@media screen and (max-height: 1023px) {
	.player {width:100%;height:425px;}
	div.touch_box, div.touch_box_center { height: 300px; }
}

@media screen and (max-height: 600px) {
	.player {width:100%;height:250px;}
	div.touch_box, div.touch_box_center { height: 200px; }
}
/* end touch boxes */


/* video player */

/*
@media screen and (min-width: 1024px) {
	.player {width:100%;height:450px;}
	div.touch_box, div.touch_box_center { height: 428px; }
}


@media screen and (max-width: 768px) {
	.player {width:100%;height:425px;}
	div.touch_box, div.touch_box_center { height: 400px; }
}

@media screen and (max-width: 450px) {
	.player {width:100%;height:315px;}
	div.touch_box, div.touch_box_center { height: 200px; }
}

/* end video player responsive */

/* popup settings */
#overlay {
   position: fixed;
   height: 100%; 
   width: 100%;
   top: 0;
   right: 0;  
   bottom: 0;
   left: 0;
   background: rgba(0,0,0,0.8);
   display: none;
}

#popup {
   max-width: 900px;
   width: 80%;
   max-height: 90%;
   height: 80%; 
   padding: 20px;
   position: relative;
   overflow-y: scroll;
   overflow-x: hidden;
   background: #fff;
   margin: 20px auto;
}

#divlogState{
	position: absolute;
	z-index: 10;
	right: 10px;
  top: 50px;
  color: white;
	background-color: gray;
	height: 500px;
}

#close {
   position: absolute;
   top: 10px;
   right: 10px;
   cursor: pointer;
   color: #111;
   font-size: 2em;
   margin-right: 0.5em;
}
/* end popup settings */

/* override bootstrap and maximize visible space */
.container {
    padding-left: 1px !important;
    padding-right: 1px !important;
}

/* kill youtube controls */
iframe {pointer-events: none;}

/*
   html.main {
	overflow-y: hidden
}
*/

input[type='range']::-webkit-slider-thumb {
  -webkit-appearance: none;
  background-color: #ecf0f1;
  border: 1px solid #bdc3c7;
  width: 30px;
  height: 30px;
  border-radius: 25px;
  cursor: pointer;
}


/* youtube search css */
.container-4 input#hyv-search {
	width: 500px;
	height: 30px;
	border: 1px solid #c6c6c6;
	font-size: 15pt;
	float: left;
	padding-left: 15px;
	-webkit-border-top-left-radius: 5px;
	-webkit-border-bottom-left-radius: 5px;
	-moz-border-top-left-radius: 5px;
	-moz-border-bottom-left-radius: 5px;
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
}
.container-4 button.icon {
	height: 30px;
	background: #f0f0f0 url('../img/searchicon.png') 10px 1px no-repeat;
	background-size: 24px;
	-webkit-border-top-right-radius: 5px;
	-webkit-border-bottom-right-radius: 5px;
	-moz-border-radius-topright: 5px;
	-moz-border-radius-bottomright: 5px;
	border-top-right-radius: 5px;
	border-bottom-right-radius: 5px;
	border: 1px solid #c6c6c6;
	width: 50px;
	margin-left: -44px;
	color: #4f5b66;
	font-size: 15pt;
}
.ui-helper-hidden-accessible {
	visibility: hidden;
}

/*override bootstrap*/
#site-header {
    background-color: #92c149;
    z-index: 0 !important;
}

input[type="number"] {
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
}

.number-input {
  border: 2px solid #ddd;
  display: inline-flex;
}

.number-input,
.number-input * {
  box-sizing: border-box;
}

.number-input button {
  outline:none;
  -webkit-appearance: none;
  background-color: transparent;
  border: none;
  align-items: center;
  justify-content: center;
  width: 3rem;
  height: 3rem;
  cursor: pointer;
  margin: 0;
  position: relative;
}

.number-input button:before,
.number-input button:after {
  display: inline-block;
  position: absolute;
  content: '';
  width: 1rem;
  height: 2px;
  background-color: #212121;
  transform: translate(-50%, -50%);
}
.number-input button.plus:after {
  transform: translate(-50%, -50%) rotate(90deg);
}

.number-input input[type=number] {
  font-family: sans-serif;
  max-width: 5rem;
  padding: .5rem;
  border: solid #ddd;
  border-width: 0 2px;
  font-size: 2rem;
  height: 3rem;
  font-weight: bold;
  text-align: center;
}
